Bug 201481 - Review Request: perl-DateTime-Format-MySQL
Review Request: perl-DateTime-Format-MySQL
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
http://search.cpan.org/dist/DateTime-...
:
Depends On: 201480
Blocks: FE-ACCEPT 201482
  Show dependency treegraph
 
Reported: 2006-08-05 20:20 EDT by Chris Weyl
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-11 00:06:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-08-05 20:20:25 EDT
SRPM URL: http://home.comcast.net/~ckweyl/perl-DateTime-Format-MySQL-0.04-1.fc5.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-DateTime-Format-MySQL.spec

Description:
This module understands the formats used by MySQL for its DATE, DATETIME,
TIME, and TIMESTAMP data types. It can be used to parse these formats in order
to create DateTime objects, and it can take a DateTime object and produce a
string representing it in the MySQL format.
Comment 1 Jason Tibbitts 2006-08-10 22:46:35 EDT
Looks like all of the dependencies for this are in; this builds fine and rpmlint
has no complaints.

* source files match upstream:
   f52377ecdeb19055ae64037fb1ef530e  DateTime-Format-MySQL-0.04.tar.gz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text included in package.
* latest version is being packaged.
* BuildRequires are proper (BR: perl is not necessary)
* %clean is present.
* package builds in mock (development, x86_64).
* rpmlint is silent.
* final provides and requires are sane:
   perl(DateTime::Format::MySQL) = 0.04
   perl-DateTime-Format-MySQL = 0.04-1.fc6
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(DateTime)
   perl(strict)
   perl(vars)
* %check is present and all tests pass:
   All tests successful.
   Files=3, Tests=46,  1 wallclock secs ( 0.27 cusr +  0.07 csys =  0.34 CPU)
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.

APPROVED
Comment 2 Chris Weyl 2006-08-11 00:06:44 EDT
+Import to CVS
+Add to owners.list
+Bump release, build for devel
+devel build succeeds
+Request branching (FC-4, FC-5)
+Close bug

Thanks for the review! :)

Note You need to log in before you can comment on or make changes to this bug.